Bullet Collision Detection & Physics Library: btCollisionWorld::ContactResultCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::ContactResultCallback Struct Referenceabstract

ContactResultCallback is used to report contact points. More...

`#include <btCollisionWorld.h>`

## Public Member Functions
| ContactResultCallback ()
virtual | ~ContactResultCallback ()
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (btManifoldPoint &cp, const btCollisionObjectWrapper *colObj0Wrap, int partId0, int index0, const btCollisionObjectWrapper *colObj1Wrap, int partId1, int index1)=0

## Public Attributes
int | m_collisionFilterGroup
int | m_collisionFilterMask
btScalar | m_closestDistanceThreshold

## Detailed Description

ContactResultCallback is used to report contact points.

Definition at line 400 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ ContactResultCallback()

btCollisionWorld::ContactResultCallback::ContactResultCallback | ( |  | ) |
| inline

Definition at line 406 of file btCollisionWorld.h.

## ◆ ~ContactResultCallback()

virtual btCollisionWorld::ContactResultCallback::~ContactResultCallback | ( |  | ) |
| inlinevirtual

Definition at line 413 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::ContactResultCallback::addSingleResult | ( | btManifoldPoint & | cp,
|  | const btCollisionObjectWrapper * | colObj0Wrap,
|  | int | partId0,
|  | int | index0,
|  | const btCollisionObjectWrapper * | colObj1Wrap,
|  | int | partId1,
|  | int | index1 )
| pure virtual

## ◆ needsCollision()

virtual bool btCollisionWorld::ContactResultCallback::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| inlinevirtual

Definition at line 417 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_closestDistanceThreshold

btScalar btCollisionWorld::ContactResultCallback::m_closestDistanceThreshold

Definition at line 404 of file btCollisionWorld.h.

## ◆ m_collisionFilterGroup

int btCollisionWorld::ContactResultCallback::m_collisionFilterGroup

Definition at line 402 of file btCollisionWorld.h.

## ◆ m_collisionFilterMask

int btCollisionWorld::ContactResultCallback::m_collisionFilterMask

Definition at line 403 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h